Skip to content
Start here

List domains

registrar.domains.list(DomainListParams**kwargs) -> SyncSinglePage[Domain]
GET/accounts/{account_id}/registrar/domains

List domains handled by Registrar.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
ReturnsExpand Collapse
class Domain:
id: Optional[str]

Domain identifier.

maxLength32
available: Optional[bool]

Shows if a domain is available for transferring into Cloudflare Registrar.

can_register: Optional[bool]

Indicates if the domain can be registered as a new domain.

created_at: Optional[datetime]

Shows time of creation.

formatdate-time
current_registrar: Optional[str]

Shows name of current registrar.

expires_at: Optional[datetime]

Shows when domain name registration expires.

formatdate-time
locked: Optional[bool]

Shows whether a registrar lock is in place for a domain.

registrant_contact: Optional[RegistrantContact]

Shows contact information for domain registrant.

address: str

Address.

city: str

City.

country: Optional[str]

The country in which the user lives.

maxLength30
first_name: Optional[str]

User's first name

maxLength60
last_name: Optional[str]

User's last name

maxLength60
organization: str

Name of organization.

phone: Optional[str]

User's telephone number

maxLength20
state: str

State.

zip: Optional[str]

The zipcode or postal code where the user lives.

maxLength20
id: Optional[str]

Contact Identifier.

maxLength32
address2: Optional[str]

Optional address line for unit, floor, suite, etc.

email: Optional[str]

The contact email address of the user.

maxLength90
fax: Optional[str]

Contact fax number.

registry_statuses: Optional[str]

A comma-separated list of registry status codes. A full list of status codes can be found at EPP Status Codes.

supported_tld: Optional[bool]

Whether a particular TLD is currently supported by Cloudflare Registrar. Refer to TLD Policies for a list of supported TLDs.

transfer_in: Optional[TransferIn]

Statuses for domain transfers into Cloudflare Registrar.

accept_foa: Optional[Literal["needed", "ok"]]

Form of authorization has been accepted by the registrant.

One of the following:
"needed"
"ok"
approve_transfer: Optional[Literal["needed", "ok", "pending", 3 more]]

Shows transfer status with the registry.

One of the following:
"needed"
"ok"
"pending"
"trying"
"rejected"
"unknown"
can_cancel_transfer: Optional[bool]

Indicates if cancellation is still possible.

disable_privacy: Optional[Literal["needed", "ok", "unknown"]]

Privacy guards are disabled at the foreign registrar.

One of the following:
"needed"
"ok"
"unknown"
enter_auth_code: Optional[Literal["needed", "ok", "pending", 2 more]]

Auth code has been entered and verified.

One of the following:
"needed"
"ok"
"pending"
"trying"
"rejected"
unlock_domain: Optional[Literal["needed", "ok", "pending", 2 more]]

Domain is unlocked at the foreign registrar.

One of the following:
"needed"
"ok"
"pending"
"trying"
"unknown"
updated_at: Optional[datetime]

Last updated.

formatdate-time

List domains

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.registrar.domains.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "ea95132c15732412d22c1476fa83f27a",
      "available": false,
      "can_register": false,
      "created_at": "2018-08-28T17:26:26Z",
      "current_registrar": "Cloudflare",
      "expires_at": "2019-08-28T23:59:59Z",
      "locked": false,
      "registrant_contact": {
        "address": "123 Sesame St.",
        "city": "Austin",
        "country": "US",
        "first_name": "John",
        "last_name": "Appleseed",
        "organization": "Cloudflare, Inc.",
        "phone": "+1 123-123-1234",
        "state": "TX",
        "zip": "12345",
        "id": "ea95132c15732412d22c1476fa83f27a",
        "address2": "Suite 430",
        "email": "user@example.com",
        "fax": "123-867-5309"
      },
      "registry_statuses": "ok,serverTransferProhibited",
      "supported_tld": true,
      "transfer_in": {
        "accept_foa": "needed",
        "approve_transfer": "unknown",
        "can_cancel_transfer": true,
        "disable_privacy": "ok",
        "enter_auth_code": "needed",
        "unlock_domain": "ok"
      },
      "updated_at": "2018-08-28T17:26:26Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "ea95132c15732412d22c1476fa83f27a",
      "available": false,
      "can_register": false,
      "created_at": "2018-08-28T17:26:26Z",
      "current_registrar": "Cloudflare",
      "expires_at": "2019-08-28T23:59:59Z",
      "locked": false,
      "registrant_contact": {
        "address": "123 Sesame St.",
        "city": "Austin",
        "country": "US",
        "first_name": "John",
        "last_name": "Appleseed",
        "organization": "Cloudflare, Inc.",
        "phone": "+1 123-123-1234",
        "state": "TX",
        "zip": "12345",
        "id": "ea95132c15732412d22c1476fa83f27a",
        "address2": "Suite 430",
        "email": "user@example.com",
        "fax": "123-867-5309"
      },
      "registry_statuses": "ok,serverTransferProhibited",
      "supported_tld": true,
      "transfer_in": {
        "accept_foa": "needed",
        "approve_transfer": "unknown",
        "can_cancel_transfer": true,
        "disable_privacy": "ok",
        "enter_auth_code": "needed",
        "unlock_domain": "ok"
      },
      "updated_at": "2018-08-28T17:26:26Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}